---
name: LabelInput
route: /Inputs/LabelInput
menu: Inputs
---

import { Playground, PropsTable } from 'docz'
import { LabelInput } from '../../src'
import { colors } from '@barcard/functions'

## LabelInput

## About

Text input with a label.

## Basic Usage

<Playground>
  <LabelInput
    label={'Sample Label'}
    name={'sampleLabel'}
    onChangeText={() => console.log('Changed text.')}
    value={''}
    placeholder={'Sample Label'}
    wide={false}
    multiline={false}
    disabled={false}
  />
  <LabelInput
    label={'Sample Label Disabled'}
    name={'sampleLabelDisabled'}
    onChangeText={() => console.log('Changed text.')}
    value={''}
    placeholder={'Sample Label Disabled'}
    wide={false}
    multiline={false}
    disabled={true}
  />
</Playground>

## Notes

This component expects a parent component to manage it's state and update the
value (i.e. Formik)

## Properties

<PropsTable of={LabelInput} includeDescription={true} />
